﻿.container-error {
    background: white;
    height: auto;
    width: 100%;
    min-width: 100px;
    padding: 1.5rem;
    box-shadow: 0px 3px 15px rgba(0, 0, 0, 0.2);
    border-radius: 0.5rem;
    text-align: center;
    margin: 60px auto;
}

.container-error h1 {
	font-size: 1.25rem;
	margin: 0;
	margin-top: 1rem;

	color: #263238;

	opacity: 0;
	transform: translateX(-0.1rem);
	animation: fadeIn 1s forwards 1.5s;
}

.container-error p {
	margin: 0;
	margin-top: 0.5rem;
    margin-bottom: 2rem;
	color: #546e7a;
	opacity: 0;
	transform: translateX(-0.1rem);
	animation: fadeIn 1s forwards 1.75s;
}

.container-error a {
    text-decoration: none;
    color: #B68A35;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 20px;
    padding-right: 20px;
    border: 1px solid #B68A35;
    border-radius: 5px;
}

.container-error a:visited {
    color: #B68A35;
}

.container-error a:hover {
    background-color: #B68A35;
    color: white;
}

@keyframes fadeIn {
	from {
		transform: translateY(1rem);
		opacity: 0;
	}

	to {
		transform: translateY(0rem);
		opacity: 1;
	}
}
.container-error .forbidden-sign {
	margin: auto;
	width: 4.67rem;
	height: 4.67rem;

	border-radius: 50%;

	display: flex;
	align-items: center;
	justify-content: center;

	background-color: #ef5350;

	animation: grow 1s forwards;
}

@keyframes grow {
	from {
		transform: scale(1);
	}

	to {
		transform: scale(1);
	}
}

.container-error .forbidden-sign::before {
	position: absolute;
	background-color: white;
	border-radius: 50%;

	content: "";

	width: 4rem;
	height: 4rem;
	transform: scale(0);

	animation: grow2 0.5s forwards 0.5s;
}
@keyframes grow2 {
	from {
		transform: scale(0);
	}

	to {
		transform: scale(1);
	}
}

/* slash */
.container-error .forbidden-sign::after {
	content: "";
	z-index: 2;

	position: absolute;

	width: 4rem;
	height: 0.3rem;
	transform: scaley(0) rotateZ(0deg);

	background: #ef5350;
	animation: grow3 0.5s forwards 1s;
}
@keyframes grow3 {
	from {
		transform: scaley(0) rotateZ(0deg);
	}

	to {
		transform: scaley(1) rotateZ(-45deg);
	}
}

/*@import url('https://fonts.googleapis.com/css?family=Press+Start+2P');

* {
    font-family: 'Press Start 2P', cursive;
    box-sizing: border-box;
}

#app {
    padding: 1rem;
    display: flex;
    height: 100%;
    justify-content: center;
    align-items: center;
    color: #54FE55;
    text-shadow: 0px 0px 10px;
    font-size: 6rem;
    flex-direction: column;
}
.txt {
    font-size: 1.8rem;
}

@keyframes blink {
    0% {
        opacity: 0
    }

    49% {
        opacity: 0
    }

    50% {
        opacity: 1
    }

    100% {
        opacity: 1
    }
}

.blink {
    animation-name: blink;
    animation-duration: 1s;
    animation-iteration-count: infinite;
}*/